
----------------------------------------------------------------------------------------------------------------
-- Default Key Combo Bindings
-- (c) 2006 Relic Entertainment


-- These combos should NOT be changed by the user.
-- They are here in case the user screws up the key bindings file in Root/KeyBindings/

-- Bindings use format "Control+Shift+A"

-- Valid keys
	--  a - Z   0 - 9
	-- Backspace Tab Enter Escape Space Apostrophe Comma
	-- Minus Period Slash Semicolon Equal LBracket Backslash RBracket Grave 
	-- Up Down Left Right Control Shift Alt CapsLock NumLock ScrollLock 
	-- Insert Delete Home End PageUp PageDown F1 F2 F3 F4 F5 F6 F7 F8 F9 F10 F11 F12 PrintScreen Pause 
	-- MouseLeft MouseRight MouseMiddle MouseTop xgcneaek MouseBottom 
	-- ScreenLeft ScreenRight ScreenTop ScreenBottom 
	-- Numpad0 Numpad1 Numpad2 Numpad3 Numpad4 Numpad5 Numpad6 
	-- Numpad7 Numpad8 Numpad9 NumpadMultiply NumpadPlus NumpadSeparator 
	-- NumpadMinus NumpadPeriod NumpadSlash 
	

g_bShowTaskbar = 1
g_bShowReveal = 1
function UpdateTaskbarAndGameUI()
	if (g_bShowTaskbar == 1) then
		taskbar_show()
		message_show()
            game_hideui()
	else
		taskbar_hide()
		message_hide()
	end
	if (g_bShowReveal == 1) then
		FOW_RevealAll()
	else
		FOW_UnRevealAll()
	end
end

function ToggleShowTaskbar()
	if (g_bShowTaskbar == 0) then
		g_bShowTaskbar = 1
	else
		g_bShowTaskbar = 0
	end
	UpdateTaskbarAndGameUI()
end

function ToggleShowReveal()
	if (g_bShowReveal == 0) then
		g_bShowReveal = 1
	else
		g_bShowReveal = 0
	end
	UpdateTaskbarAndGameUI()
end

function ToggleShowGameUI()
	game_showui()
      game_hideui()
	setsimrate(7)
end

function GameSpeed_Change()
	if (getsimrate() > 2) then
		setsimrate(2)
	else
            setsimrate(7)
      end
end

bind("F7",	"FOW_Toggle()")
bind("F8",	"ToggleShowReveal()")
bind("Tab",	"ToggleShowTaskbar()")
bind("Space",	"ToggleShowGameUI()")
bind("F",  "GameSpeed_Change()")

